Rudiments: wcharacter Class Reference

Rudiments

Static Public Member Functions | List of all members
wcharacter Class Reference

## Static Public Member Functions
static bool | isAlphanumeric (int32_t c)
static bool | isAlphabetical (int32_t c)
static bool | isAlphabeticalExtended (int32_t c)
static bool | isLowerCase (int32_t c)
static bool | isLowerCaseExtended (int32_t c)
static bool | isUpperCase (int32_t c)
static bool | isUpperCaseExtended (int32_t c)
static bool | isPunctuation (int32_t c)
static bool | isPrintable (int32_t c)
static bool | isPrintableNonSpace (int32_t c)
static bool | isControlCharacter (int32_t c)
static bool | isDigit (int32_t c)
static bool | isHexDigit (int32_t c)
static bool | isBlank (int32_t c)
static bool | isWhitespace (int32_t c)
static bool | isAscii (int32_t c)
static int32_t | toUpperCase (int32_t c)
static int32_t | toLowerCase (int32_t c)
static int32_t | toAscii (int32_t c)
static bool | inSet (wchar_t c, const wchar_t *set)
static wchar_t | duplicate (char c)
static bool | supported ()

## Detailed Description

The wcharacter class provides static methods for evaluating and manipulating wide characters.

## Member Function Documentation

## ◆ duplicate()

static wchar_t wcharacter::duplicate | ( | char | c | ) |
| static

Returns the wide character representation of "c".

## ◆ inSet()

static bool wcharacter::inSet | ( | wchar_t | c,
|  | const wchar_t * | set
| ) |  |
| static

Returns true if "c" is in the set of characters in "set" and false otherwise.

## ◆ isAlphabetical()

static bool wcharacter::isAlphabetical | ( | int32_t | c | ) |
| static

Returns true if "c" is alphabetical character and false otherwise.

## ◆ isAlphabeticalExtended()

static bool wcharacter::isAlphabeticalExtended | ( | int32_t | c | ) |
| static

Returns true if "c" is alphabetical character, including accented alphabetical characters from the extended ascii character set, and false otherwise.

## ◆ isAlphanumeric()

static bool wcharacter::isAlphanumeric | ( | int32_t | c | ) |
| static

Returns true if "c" is an alphanumeric character and false otherwise.

## ◆ isAscii()

static bool wcharacter::isAscii | ( | int32_t | c | ) |
| static

Returns true if "c" is one of the values in the ascii character set or false otherwise.

## ◆ isBlank()

static bool wcharacter::isBlank | ( | int32_t | c | ) |
| static

Returns true if "c" is a space or tab and false otherwise.

## ◆ isControlCharacter()

static bool wcharacter::isControlCharacter | ( | int32_t | c | ) |
| static

Returns true if "c" is a control character and false otherwise.

## ◆ isDigit()

static bool wcharacter::isDigit | ( | int32_t | c | ) |
| static

Returns true if "c" is a digit and false otherwise.

## ◆ isHexDigit()

static bool wcharacter::isHexDigit | ( | int32_t | c | ) |
| static

Returns true if "c" is a hexadecimal digit and false otherwise.

## ◆ isLowerCase()

static bool wcharacter::isLowerCase | ( | int32_t | c | ) |
| static

Returns true if "c" is lower case and false otherwise.

## ◆ isLowerCaseExtended()

static bool wcharacter::isLowerCaseExtended | ( | int32_t | c | ) |
| static

Returns true if "c" is lower case, including accented alphabetical characters from the extended ascii character set, and false otherwise.

## ◆ isPrintable()

static bool wcharacter::isPrintable | ( | int32_t | c | ) |
| static

Returns true if "c" is a printable character and false otherwise.

## ◆ isPrintableNonSpace()

static bool wcharacter::isPrintableNonSpace | ( | int32_t | c | ) |
| static

Returns true if "c" is a printable character other than a space and false otherwise.

## ◆ isPunctuation()

static bool wcharacter::isPunctuation | ( | int32_t | c | ) |
| static

Returns true if "c" is a printable character that is not a space or alphanumeric character and false otherwise.

## ◆ isUpperCase()

static bool wcharacter::isUpperCase | ( | int32_t | c | ) |
| static

Returns true if "c" is upper case and false otherwise.

## ◆ isUpperCaseExtended()

static bool wcharacter::isUpperCaseExtended | ( | int32_t | c | ) |
| static

Returns true if "c" is upper case, including accented alphabetical characters from the extended ascii character set, and false otherwise.

## ◆ isWhitespace()

static bool wcharacter::isWhitespace | ( | int32_t | c | ) |
| static

Returns true if "c" is any whitespace character and false otherwise.

## ◆ supported()

static bool wcharacter::supported | ( |  | ) |
| static

Returns true if the platform supports wide characters and rudiments was build with wide character support and false otherwise.

## ◆ toAscii()

static int32_t wcharacter::toAscii | ( | int32_t | c | ) |
| static

Converts "c" to a 7-bit value by clearing the higher order bits.

## ◆ toLowerCase()

static int32_t wcharacter::toLowerCase | ( | int32_t | c | ) |
| static

Returns the lower case version of "c".

## ◆ toUpperCase()

static int32_t wcharacter::toUpperCase | ( | int32_t | c | ) |
| static

Returns the upper case version of "c".